# update_charts
`toloka.metrics.jupyter_dashboard.DashBoard.update_charts` | [Source code](https://github.com/Toloka/toloka-kit/blob/v0.1.26/src/metrics/jupyter_dashboard.py#L291)

```python
update_charts(self, n_intervals: int)
```

Redraws all charts on each iteration

## Parameters Description

| Parameters | Type | Description |
| :----------| :----| :-----------|
`n_intervals`|**int**|<p>inner parameter that don&#x27;t used right now</p>

* **Returns:**

  all new Figure's.
Must have the same length on each iteration.

* **Return type:**

  Union\[Figure, List\[Figure\]\]
